Package com.avaya.clientservices.call

## Enum DTMFType

- java.lang.Object
- - java.lang.Enum<DTMFType>
  - - com.avaya.clientservices.call.DTMFType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DTMFType>`

      public enum DTMFType
      extends java.lang.Enum<DTMFType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A` | Represents alphabet A.
    `B` | Represents alphabet B.
    `C` | Represents alphabet C.
    `D` | Represents alphabet D.
    `EIGHT` | Represents numeric 8.
    `FIVE` | Represents numeric 5.
    `FOUR` | Represents numeric 4.
    `NINE` | Represents numeric 9.
    `ONE` | Represents numeric 1.
    `POUND` | Represents special character #.
    `SEVEN` | Represents numeric 7.
    `SIX` | Represents numeric 6.
    `STAR` | Represents special character *.
    `THREE` | Represents numeric 3.
    `TWO` | Represents numeric 2.
    `ZERO` | Represents numeric 0.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DTMFType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DTMFType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZERO

          public static final DTMFType ZERO

      Represents numeric 0.

    - #### ONE

          public static final DTMFType ONE

      Represents numeric 1.

    - #### TWO

          public static final DTMFType TWO

      Represents numeric 2.

    - #### THREE

          public static final DTMFType THREE

      Represents numeric 3.

    - #### FOUR

          public static final DTMFType FOUR

      Represents numeric 4.

    - #### FIVE

          public static final DTMFType FIVE

      Represents numeric 5.

    - #### SIX

          public static final DTMFType SIX

      Represents numeric 6.

    - #### SEVEN

          public static final DTMFType SEVEN

      Represents numeric 7.

    - #### EIGHT

          public static final DTMFType EIGHT

      Represents numeric 8.

    - #### NINE

          public static final DTMFType NINE

      Represents numeric 9.

    - #### STAR

          public static final DTMFType STAR

      Represents special character *.

    - #### POUND

          public static final DTMFType POUND

      Represents special character #.

    - #### A

          public static final DTMFType A

      Represents alphabet A.

    - #### B

          public static final DTMFType B

      Represents alphabet B.

    - #### C

          public static final DTMFType C

      Represents alphabet C.

    - #### D

          public static final DTMFType D

      Represents alphabet D.

  - ### Method Detail

    - #### values

          public static DTMFType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DTMFType c : DTMFType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DTMFType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null